Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.options
Class BasicFormatOptionSet

    java.lang.Object
      |
      +--com.sun.jimi.core.options.BasicFormatOptionSet

Direct Known Subclasses:
  GIFOptions, JPGOptions, PNGOptions, PSDOptions, SunRasterOptions

public class BasicFormatOptionSet
extends java.lang.Object
implements FormatOptionSet

Base class providing partial implementation of the FormatOptionSet interface.

Field Summary
`protected java.util.Hashtable` | `nameToOptionMap`
`protected FormatOption[]` | `options`

Constructor Summary
`BasicFormatOptionSet()`
`BasicFormatOptionSet(FormatOption[] options)` Create a FormatOptionSet for an array of options.

Method Summary
`java.lang.Object` | `clone()` Clone the option set.
`void` | `copyOptionsFrom(FormatOptionSet source)` Copy all relevant values from another FormatOptionSet.
`FormatOption` | `getOption(java.lang.String name)` Get an option by name.
`FormatOption[]` | `getOptions()` Get the options in the set.
`protected void` | `initWithOptions(FormatOption[] options)` Should be called by the subclass to initialize.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nameToOptionMap

    protected java.util.Hashtable nameToOptionMap

### options

    protected FormatOption[] options

Constructor Detail

### BasicFormatOptionSet

    public BasicFormatOptionSet(FormatOption[] options)

  Create a FormatOptionSet for an array of options.

### BasicFormatOptionSet

    public BasicFormatOptionSet()

Method Detail

### initWithOptions

    protected void initWithOptions(FormatOption[] options)

  Should be called by the subclass to initialize.
  Parameters:
    `options` - the options to expose

### getOptions

    public FormatOption[] getOptions()

  Get the options in the set.
  Specified by:
    getOptions in interface FormatOptionSet

### getOption

    public FormatOption getOption(java.lang.String name)
                           throws OptionException

  Get an option by name.
  Specified by:
    getOption in interface FormatOptionSet

### clone

    public java.lang.Object clone()

  Clone the option set. This is a deep copy, creating a set with a clone() of each FormatOption.
  Overrides:
    clone in class java.lang.Object

### copyOptionsFrom

    public void copyOptionsFrom(FormatOptionSet source)

  Copy all relevant values from another FormatOptionSet.
  Specified by:
    copyOptionsFrom in interface FormatOptionSet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD